## lio-utils 3.1+git0.91b96103

=== debian/changelog ===
lio-utils (3.1+git0.91b96103-2) unstable; urgency=low

  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 12 Dec 2011 16:58:13 +0530

lio-utils (3.1+git0.91b96103-1) experimental; urgency=low

  * Initial release. (Closes: #622382)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Dec 2011 01:01:48 +0530
