=== debian/changelog ===
lio-utils (3.1+git2.fd0b34fd-2) unstable; urgency=low

  * [5a3076c] Pick patch from upstream to set buffered io persistent
    across reboots. Thanks to Nicholas Bellinger

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Mar 2013 21:06:14 +0530

lio-utils (3.1+git2.fd0b34fd-1) unstable; urgency=low

  * [2dcd774] Add README.source
  * [074e1fc] Imported Upstream version 3.1+git2.fd0b34fd
    (Closes: #654262, #652052)
  * [b84f9ac] Fix debian/copyright to comply to format 1.0
  * [ff79fe6] Add patch shell-script-header.patch to define header for
    shell scripts

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 May 2012 17:54:48 +0530
