=== debian/control ===
Source: lio-utils
Section: python
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper(>= 7.0.50~), python(>= 2.6.6-3~), libsnmp-dev
Standards-Version: 3.9.2
Homepage: http://www.risingtidesystems.com/git/?p=lio-utils.git;a=summary
Vcs-Git: git://git.debian.org/git/linux-target/lio-utils.git
Vcs-Browser: http://git.debian.org/?p=linux-target/lio-utils.git

Package: lio-utils
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: configuration tool for LIO core target
 lio-utils provide a simple low-level configuration tool set for LIO
 Linux SCSI Target. This includes the target and its backstores including
 tcm_loop, and the iSCSI,  FCoE and Fibre Channel fabric modules.
